allphone_search_s Struct Reference

Implementation of allphone search structure. More...

`#include <allphone_search.h>`

## Data Fields

ps_search_t | base
hmm_context_t * | hmmctx
| HMM context.
ngram_model_t * | lm
| Ngram model set.
int32 | ci_only
| Use context-independent phones for decoding.
phmm_t ** | ci_phmm
| PHMM lists (for each CI phone)
int32 * | ci2lmwid
| Mapping of CI phones to LM word IDs.
int32 | beam
int32 | pbeam
| Effective beams after applying beam_factor.
int32 | lw
int32 | inspen
| Language weights.
frame_idx_t | frame
| Current frame.
float32 | ascale
| Acoustic score scale for posterior probabilities.
int32 | n_tot_frame
| Total number of frames processed.
int32 | n_hmm_eval
| Total HMMs evaluated this utt.
int32 | n_sen_eval
| Total senones evaluated this utt.
blkarray_list_t * | history
| List of history nodes allocated in each frame.
glist_t | segments
ptmr_t | perf
| Performance counter.

## Detailed Description

Implementation of allphone search structure.

Definition at line 110 of file allphone_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/allphone_search.h